Feature (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Feature class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Feature

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature

Direct Known Subclasses:
  Container, NetworkLink, Overlay, Placemark

    public abstract class Feature

extends KmlObject

Constructor Summary
`Feature()`
`Feature(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData)`

Method Summary
`void` | `addStyleSelector(StyleSelector styleSelector)`
`AbstractView` | `getAbstractView()`
`java.lang.String` | `getAddress()`
`AtomAuthor` | `getAtomAuthor()`
`AtomLink` | `getAtomLink()`
`java.lang.String` | `getDescription()`
`ExtendedData` | `getExtendedData()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPhoneNumber()`
`Region` | `getRegion()`
`java.lang.String` | `getSnippet()`
`java.lang.Integer` | `getSnippetMaxLines()`
`java.util.List<StyleSelector>` | `getStyleSelectors()`
`java.lang.String` | `getStyleUrl()`
`TimePrimitive` | `getTimePrimitive()`
`java.lang.String` | `getXalAddressDeatails()`
`boolean` | `isOpen()`
`java.lang.Boolean` | `isVisible()`
`void` | `setAbstractView(AbstractView abstractView)`
`void` | `setAddress(java.lang.String address)`
`void` | `setAtomAuthor(AtomAuthor atomAuthor)`
`void` | `setAtomLink(AtomLink link)`
`void` | `setDescription(java.lang.String description)`
`void` | `setExtendedData(ExtendedData extendedData)`
`void` | `setName(java.lang.String name)`
`void` | `setOpen(boolean open)`
`void` | `setPhoneNumber(java.lang.String phoneNumber)`
`void` | `setRegion(Region region)`
`void` | `setSnippet(java.lang.String snippet)`
`void` | `setSnippetMaxLines(java.lang.Integer snippetMaxLines)`
`void` | `setStyleSelectors(java.util.List<StyleSelector> styleSelectors)`
`void` | `setStyleUrl(java.lang.String styleUrl)`
`void` | `setTimePrimitive(TimePrimitive timePrimitive)`
`void` | `setVisibility(java.lang.Boolean visibility)`
`void` | `setXalAddressDeatails(java.lang.String xalAddressDeatails)`
`void` | `writeInner(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId, write, writeDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Feature

    public Feature()

### Feature

    public Feature(java.lang.String name,
                   java.lang.Boolean visibility,
                   java.lang.Boolean open,
                   AtomAuthor atomAuthor,
                   AtomLink atomLink,
                   java.lang.String address,
                   java.lang.String xalAddressDetails,
                   java.lang.String phoneNumber,
                   java.lang.String snippet,
                   java.lang.Integer snippetMaxLines,
                   java.lang.String description,
                   AbstractView abstractView,
                   TimePrimitive timePrimitive,
                   java.lang.String styleUrl,
                   java.util.List<StyleSelector> styleSelectors,
                   Region region,
                   ExtendedData extendedData)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### isVisible

    public java.lang.Boolean isVisible()

### setVisibility

    public void setVisibility(java.lang.Boolean visibility)

### isOpen

    public boolean isOpen()

### setOpen

    public void setOpen(boolean open)

### getAtomAuthor

    public AtomAuthor getAtomAuthor()

### setAtomAuthor

    public void setAtomAuthor(AtomAuthor atomAuthor)

### getAtomLink

    public AtomLink getAtomLink()

### setAtomLink

    public void setAtomLink(AtomLink link)

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### getXalAddressDeatails

    public java.lang.String getXalAddressDeatails()

### setXalAddressDeatails

    public void setXalAddressDeatails(java.lang.String xalAddressDeatails)

### getPhoneNumber

    public java.lang.String getPhoneNumber()

### setPhoneNumber

    public void setPhoneNumber(java.lang.String phoneNumber)

### getSnippet

    public java.lang.String getSnippet()

### setSnippet

    public void setSnippet(java.lang.String snippet)

### getSnippetMaxLines

    public java.lang.Integer getSnippetMaxLines()

### setSnippetMaxLines

    public void setSnippetMaxLines(java.lang.Integer snippetMaxLines)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getAbstractView

    public AbstractView getAbstractView()

### setAbstractView

    public void setAbstractView(AbstractView abstractView)

### getStyleUrl

    public java.lang.String getStyleUrl()

### setStyleUrl

    public void setStyleUrl(java.lang.String styleUrl)

### getStyleSelectors

    public java.util.List<StyleSelector> getStyleSelectors()

### setStyleSelectors

    public void setStyleSelectors(java.util.List<StyleSelector> styleSelectors)

### addStyleSelector

    public void addStyleSelector(StyleSelector styleSelector)

### getTimePrimitive

    public TimePrimitive getTimePrimitive()

### setTimePrimitive

    public void setTimePrimitive(TimePrimitive timePrimitive)

### getRegion

    public Region getRegion()

### setRegion

    public void setRegion(Region region)

### getExtendedData

    public ExtendedData getExtendedData()

### setExtendedData

    public void setExtendedData(ExtendedData extendedData)

### writeInner

    public void writeInner(Kml kml)
                    throws KmlException

  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD